Bug 230909

Summary: [exp-run] convert x11/xorgproto dependency to build dependency
Product: Ports & Packages Reporter: Niclas Zeising <zeising>
Component: Package InfrastructureAssignee: Niclas Zeising <zeising>
Status: Closed FIXED    
Severity: Affects Only Me Flags: zeising: exp-run?
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://reviews.freebsd.org/D16906
Attachments:
Description Flags
Convert xorgproto to build dependency, rev 1 none

Description Niclas Zeising freebsd_committer 2018-08-26 11:33:13 UTC
Created attachment 196561 [details]
Convert xorgproto to build dependency, rev 1

x11/xorgproto contains protocol headers for various xorg components. Those are really only needed at build time. This switches xorgproto to a build time dependency instead of a build and run time dependency.

I also bump portrevision for all dependent ports.
Comment 1 Niclas Zeising freebsd_committer 2018-08-26 11:33:50 UTC
See https://reviews.freebsd.org/D16906 for phabricator review.
Comment 2 Niclas Zeising freebsd_committer 2018-08-26 18:02:58 UTC
Patch updated in phabricator.
Comment 4 Niclas Zeising freebsd_committer 2018-08-31 19:18:33 UTC
Issues fixed.

All issues fixed by adding missing xorgproto dependency.
Comment 5 Niclas Zeising freebsd_committer 2018-09-06 10:05:04 UTC
Where are we on this, is it approved?
Comment 6 Niclas Zeising freebsd_committer 2018-09-10 10:52:19 UTC
I still haven't heard on this.  What is missing for approval?
Comment 7 Antoine Brodin freebsd_committer 2018-09-10 12:04:36 UTC
Looks fine, don't forget to fix the remaining ports.
Comment 8 commit-hook freebsd_committer 2018-09-11 18:35:50 UTC
A commit references this bug:

Author: zeising
Date: Tue Sep 11 18:34:50 UTC 2018
New revision: 479538
URL: https://svnweb.freebsd.org/changeset/ports/479538

Log:
  Change x11/xorgproto to become a build dep

  Change x11/xorgproto to become a build time dependency when added to
  USE_XORG.  Change the dependency to be on the port, rather than a file the
  port installs.
  Fix fallout.
  Bump portrevision on depending ports.

  PR:		230909
  Reviewed by:	eadler
  Approved by:	portmgr (antoine)
  Obtained from:	https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/xorgproto
  exp-run:	antoine
  Differential Revision:	https://reviews.freebsd.org/D16906

Changes:
  head/Mk/bsd.xorg.mk
  head/audio/clementine-player/Makefile
  head/audio/dpf-plugins-lv2/Makefile
  head/audio/gogglesmm/Makefile
  head/audio/mixxx/Makefile
  head/audio/rhythmbox/Makefile
  head/audio/x42-plugins-lv2/Makefile
  head/cad/brlcad/Makefile
  head/cad/freecad/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/meshlab/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/cad/openvsp/Makefile
  head/cad/qcad/Makefile
  head/chinese/librime/Makefile
  head/comms/gqrx/Makefile
  head/databases/grass7/Makefile
  head/deskutils/calibre/Makefile
  head/devel/directfb/Makefile
  head/devel/gwenhywfar-qt5/Makefile
  head/devel/imake/Makefile
  head/devel/liteide/Makefile
  head/devel/lndir/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/makedepend/Makefile
  head/devel/p5-SDL/Makefile
  head/devel/sdl12/Makefile
  head/devel/simgear/Makefile
  head/editors/encryptpad/Makefile
  head/editors/libreoffice/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/fceux/Makefile
  head/emulators/mame/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/emulators/nestopia/Makefile
  head/emulators/open-vm-tools/Makefile
  head/emulators/rpcs3/Makefile
  head/emulators/stonx/Makefile
  head/emulators/virtualbox-ose/Makefile
  head/emulators/virtualbox-ose-additions/Makefile
  head/emulators/wine/Makefile
  head/emulators/wine-devel/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/barony/Makefile
  head/games/blobby/Makefile
  head/games/bloboats/Makefile
  head/games/burrtools/Makefile
  head/games/criticalmass/Makefile
  head/games/darkplaces/Makefile
  head/games/doom/Makefile
  head/games/eduke32/Makefile
  head/games/fishsupper/Makefile
  head/games/fkiss/Makefile
  head/games/flightgear/Makefile
  head/games/freeorion/Makefile
  head/games/frogatto/Makefile
  head/games/glob2/Makefile
  head/games/golly/Makefile
  head/games/lander/Makefile
  head/games/netherearth/Makefile
  head/games/openmw/Makefile
  head/games/pingus/Makefile
  head/games/py-fife/Makefile
  head/games/rlvm/Makefile
  head/games/searchandrescue/Makefile
  head/games/spring/Makefile
  head/games/tanglet/Makefile
  head/games/valyriatear/Makefile
  head/games/violetland/Makefile
  head/games/widelands/Makefile
  head/games/xjig/Makefile
  head/games/xpilot-ng-client/Makefile
  head/games/xptools/Makefile
  head/games/xtrojka/Makefile
  head/graphics/blender/Makefile
  head/graphics/cairo/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cloudcompare/Makefile
  head/graphics/colmap/Makefile
  head/graphics/embree/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/glfw/Makefile
  head/graphics/gource/Makefile
  head/graphics/gpxsee/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/jogl/Makefile
  head/graphics/libosmesa/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/luxrender14/Makefile
  head/graphics/mesa-demos/Makefile
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-libs/Makefile
  head/graphics/mupdf/Makefile
  head/graphics/natron/Makefile
  head/graphics/open3d/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/openfx-io/Makefile
  head/graphics/openfx-misc/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/pgplot/Makefile
  head/graphics/pixie/Makefile
  head/java/classpath/Makefile
  head/java/openjfx8-devel/Makefile
  head/lang/beignet/Makefile
  head/lang/erlang-wx/Makefile
  head/mail/thunderbird/Makefile
  head/math/octave/Makefile
  head/math/reduce/Makefile
  head/math/xppaut/Makefile
  head/math/zegrapher/Makefile
  head/misc/survex/Makefile
  head/misc/valentina/Makefile
  head/misc/wmtunlo/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/cinelerra-gg/Makefile
  head/multimedia/gstreamer-plugins/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/gstreamer1-vaapi/Makefile
  head/multimedia/kodi-devel/Makefile
  head/multimedia/libcec/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/libva/Makefile
  head/multimedia/libvdpau/Makefile
  head/multimedia/mlt/Makefile
  head/multimedia/mpc-qt/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/recordmydesktop/Makefile
  head/multimedia/totem/Makefile
  head/multimedia/vlc/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/mediastreamer/Makefile
  head/net/tigervnc/Makefile
  head/net/tigervnc-devel/Makefile
  head/net/x11vnc/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/science/avogadro/Makefile
  head/science/gabedit/Makefile
  head/science/iboview/Makefile
  head/science/openstructure/Makefile
  head/science/paraview/Makefile
  head/science/xdrawchem/Makefile
  head/security/keepassx-devel/Makefile
  head/security/keepassx2/Makefile
  head/security/keepassxc/Makefile
  head/sysutils/gnome-control-center/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/mate-power-manager/Makefile
  head/sysutils/xfce4-settings/Makefile
  head/textproc/scim-kmfl-imengine/Makefile
  head/www/chromium/Makefile
  head/www/firefox/Makefile
  head/www/gtkhtml4/Makefile
  head/www/iridium/Makefile
  head/www/links/Makefile
  head/www/links-hacked/Makefile
  head/www/qt5-webengine/Makefile
  head/www/webkit2-gtk3/Makefile
  head/www/wt/Makefile
  head/x11/bitmap/Makefile
  head/x11/gdm/Makefile
  head/x11/i3lock/Makefile
  head/x11/iceauth/Makefile
  head/x11/kde-workspace-kde4/Makefile
  head/x11/libICE/Makefile
  head/x11/libSM/Makefile
  head/x11/libX11/Makefile
  head/x11/libXScrnSaver/Makefile
  head/x11/libXTrap/Makefile
  head/x11/libXau/Makefile
  head/x11/libXcomposite/Makefile
  head/x11/libXcursor/Makefile
  head/x11/libXdamage/Makefile
  head/x11/libXdmcp/Makefile
  head/x11/libXevie/Makefile
  head/x11/libXext/Makefile
  head/x11/libXfixes/Makefile
  head/x11/libXi/Makefile
  head/x11/libXinerama/Makefile
  head/x11/libXp/Makefile
  head/x11/libXpm/Makefile
  head/x11/libXprintAppUtil/Makefile
  head/x11/libXprintUtil/Makefile
  head/x11/libXrandr/Makefile
  head/x11/libXrender/Makefile
  head/x11/libXres/Makefile
  head/x11/libXtst/Makefile
  head/x11/libXv/Makefile
  head/x11/libXvMC/Makefile
  head/x11/libXxf86dga/Makefile
  head/x11/libXxf86misc/Makefile
  head/x11/libXxf86vm/Makefile
  head/x11/libdmx/Makefile
  head/x11/libxkbfile/Makefile
  head/x11/libxkbui/Makefile
  head/x11/libxshmfence/Makefile
  head/x11/listres/Makefile
  head/x11/lsw/Makefile
  head/x11/metalock/Makefile
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver-304/Makefile
  head/x11/nvidia-driver-340/Makefile
  head/x11/nxcomp/Makefile
  head/x11/p5-X11-XCB/Makefile
  head/x11/p5-X11-Xlib/Makefile
  head/x11/rgb/Makefile
  head/x11/slock/Makefile
  head/x11/sxpc/Makefile
  head/x11/thinglaunch/Makefile
  head/x11/thingylaunch/Makefile
  head/x11/workrave/Makefile
  head/x11/xcursorgen/Makefile
  head/x11/xdpyinfo/Makefile
  head/x11/xdriinfo/Makefile
  head/x11/xfindproxy/Makefile
  head/x11/xfwp/Makefile
  head/x11/xinput/Makefile
  head/x11/xkbutils/Makefile
  head/x11/xrestop/Makefile
  head/x11/xrx/Makefile
  head/x11/xscope/Makefile
  head/x11/xscreensaver/Makefile
  head/x11/xsel/Makefile
  head/x11/xset/Makefile
  head/x11/xwininfo/Makefile
  head/x11/xwinwrap/Makefile
  head/x11-drivers/xf86-input-acecad/Makefile
  head/x11-drivers/xf86-input-egalax/Makefile
  head/x11-drivers/xf86-input-elographics/Makefile
  head/x11-drivers/xf86-input-evdev/Makefile
  head/x11-drivers/xf86-input-fpit/Makefile
  head/x11-drivers/xf86-input-hyperpen/Makefile
  head/x11-drivers/xf86-input-joystick/Makefile
  head/x11-drivers/xf86-input-keyboard/Makefile
  head/x11-drivers/xf86-input-libinput/Makefile
  head/x11-drivers/xf86-input-mouse/Makefile
  head/x11-drivers/xf86-input-mutouch/Makefile
  head/x11-drivers/xf86-input-penmount/Makefile
  head/x11-drivers/xf86-input-synaptics/Makefile
  head/x11-drivers/xf86-input-vmmouse/Makefile
  head/x11-drivers/xf86-input-void/Makefile
  head/x11-drivers/xf86-input-wacom/Makefile
  head/x11-drivers/xf86-video-amdgpu/Makefile
  head/x11-drivers/xf86-video-apm/Makefile
  head/x11-drivers/xf86-video-ark/Makefile
  head/x11-drivers/xf86-video-ast/Makefile
  head/x11-drivers/xf86-video-ati/Makefile
  head/x11-drivers/xf86-video-chips/Makefile
  head/x11-drivers/xf86-video-cirrus/Makefile
  head/x11-drivers/xf86-video-dummy/Makefile
  head/x11-drivers/xf86-video-geode/Makefile
  head/x11-drivers/xf86-video-glint/Makefile
  head/x11-drivers/xf86-video-i128/Makefile
  head/x11-drivers/xf86-video-i740/Makefile
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-mach64/Makefile
  head/x11-drivers/xf86-video-mga/Makefile
  head/x11-drivers/xf86-video-neomagic/Makefile
  head/x11-drivers/xf86-video-nv/Makefile
  head/x11-drivers/xf86-video-openchrome/Makefile
  head/x11-drivers/xf86-video-qxl/Makefile
  head/x11-drivers/xf86-video-r128/Makefile
  head/x11-drivers/xf86-video-rendition/Makefile
  head/x11-drivers/xf86-video-s3/Makefile
  head/x11-drivers/xf86-video-s3virge/Makefile
  head/x11-drivers/xf86-video-savage/Makefile
  head/x11-drivers/xf86-video-scfb/Makefile
  head/x11-drivers/xf86-video-siliconmotion/Makefile
  head/x11-drivers/xf86-video-sis/Makefile
  head/x11-drivers/xf86-video-sunffb/Makefile
  head/x11-drivers/xf86-video-tdfx/Makefile
  head/x11-drivers/xf86-video-trident/Makefile
  head/x11-drivers/xf86-video-tseng/Makefile
  head/x11-drivers/xf86-video-vesa/Makefile
  head/x11-drivers/xf86-video-vmware/Makefile
  head/x11-drivers/xf86-video-voodoo/Makefile
  head/x11-drivers/xorgxrdp/Makefile
  head/x11-fm/rox-filer/Makefile
  head/x11-fonts/bdftopcf/Makefile
  head/x11-fonts/fonttosfnt/Makefile
  head/x11-fonts/libFS/Makefile
  head/x11-fonts/libXfont/Makefile
  head/x11-fonts/libXfont2/Makefile
  head/x11-fonts/libXfontcache/Makefile
  head/x11-fonts/libXft/Makefile
  head/x11-fonts/libfontenc/Makefile
  head/x11-fonts/mkfontscale/Makefile
  head/x11-fonts/showfont/Makefile
  head/x11-fonts/xfs/Makefile
  head/x11-servers/Xfstt/Makefile
  head/x11-servers/xorg-nestserver/Makefile
  head/x11-servers/xorg-server/Makefile
  head/x11-servers/xorg-vfbserver/Makefile
  head/x11-servers/xwayland/Makefile
  head/x11-themes/xcursor-themes/Makefile
  head/x11-toolkits/gtk12/Makefile
  head/x11-toolkits/lesstif/Makefile
  head/x11-toolkits/libXaw/Makefile
  head/x11-toolkits/libXmu/Makefile
  head/x11-toolkits/libXt/Makefile
  head/x11-toolkits/py-kivy/Makefile
  head/x11-toolkits/qt4-gui/Makefile
  head/x11-toolkits/v/Makefile
  head/x11-toolkits/wxgtk30/Makefile
  head/x11-toolkits/wxgtk31/Makefile
  head/x11-wm/awesome/Makefile
  head/x11-wm/compiz/Makefile
  head/x11-wm/compiz-plugins-extra/Makefile
  head/x11-wm/compiz-plugins-main/Makefile
  head/x11-wm/compiz-plugins-unsupported/Makefile
  head/x11-wm/compton/Makefile
  head/x11-wm/e16/Makefile
  head/x11-wm/fluxbox/Makefile
  head/x11-wm/fluxter/Makefile
  head/x11-wm/transset/Makefile
  head/x11-wm/wmii/Makefile
  head/x11-wm/wmname/Makefile
Comment 9 Niclas Zeising freebsd_committer 2018-09-11 18:37:00 UTC
This has been committed, closing.